Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_008_002_01 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_002_01

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentificationSDD` `createAccountIdentificationSDD()` Create an instance of `AccountIdentificationSDD`
`AmendmentInformationDetailsSDD` `createAmendmentInformationDetailsSDD()` Create an instance of `AmendmentInformationDetailsSDD`
`BranchAndFinancialInstitutionIdentificationSDD1` `createBranchAndFinancialInstitutionIdentificationSDD1()` Create an instance of `BranchAndFinancialInstitutionIdentificationSDD1`
`BranchAndFinancialInstitutionIdentificationSDD2` `createBranchAndFinancialInstitutionIdentificationSDD2()` Create an instance of `BranchAndFinancialInstitutionIdentificationSDD2`
`CashAccountSDD1` `createCashAccountSDD1()` Create an instance of `CashAccountSDD1`
`CashAccountSDD2` `createCashAccountSDD2()` Create an instance of `CashAccountSDD2`
`CreditorReferenceInformationSDD` `createCreditorReferenceInformationSDD()` Create an instance of `CreditorReferenceInformationSDD`
`CreditorReferenceTypeSDD` `createCreditorReferenceTypeSDD()` Create an instance of `CreditorReferenceTypeSDD`
`CurrencyAndAmountSDD` `createCurrencyAndAmountSDD()` Create an instance of `CurrencyAndAmountSDD`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`DirectDebitTransactionInformationSDD` `createDirectDebitTransactionInformationSDD()` Create an instance of `DirectDebitTransactionInformationSDD`
`DirectDebitTransactionSDD` `createDirectDebitTransactionSDD()` Create an instance of `DirectDebitTransactionSDD`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`FinancialInstitutionIdentificationSDD1` `createFinancialInstitutionIdentificationSDD1()` Create an instance of `FinancialInstitutionIdentificationSDD1`
`FinancialInstitutionIdentificationSDD2` `createFinancialInstitutionIdentificationSDD2()` Create an instance of `FinancialInstitutionIdentificationSDD2`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericIdentification4` `createGenericIdentification4()` Create an instance of `GenericIdentification4`
`GenericIdentificationSDD` `createGenericIdentificationSDD()` Create an instance of `GenericIdentificationSDD`
`GroupHeaderSDD` `createGroupHeaderSDD()` Create an instance of `GroupHeaderSDD`
`LocalInstrumentSDD` `createLocalInstrumentSDD()` Create an instance of `LocalInstrumentSDD`
`MandateRelatedInformationSDD` `createMandateRelatedInformationSDD()` Create an instance of `MandateRelatedInformationSDD`
`OrganisationIdentificationSDDChoice` `createOrganisationIdentificationSDDChoice()` Create an instance of `OrganisationIdentificationSDDChoice`
`Pain00800101` `createPain00800101()` Create an instance of `Pain00800101`
`PartyIdentificationSDD1` `createPartyIdentificationSDD1()` Create an instance of `PartyIdentificationSDD1`
`PartyIdentificationSDD2` `createPartyIdentificationSDD2()` Create an instance of `PartyIdentificationSDD2`
`PartyIdentificationSDD3` `createPartyIdentificationSDD3()` Create an instance of `PartyIdentificationSDD3`
`PartyIdentificationSDD4` `createPartyIdentificationSDD4()` Create an instance of `PartyIdentificationSDD4`
`PartyIdentificationSDD5` `createPartyIdentificationSDD5()` Create an instance of `PartyIdentificationSDD5`
`PartySDD` `createPartySDD()` Create an instance of `PartySDD`
`PartySDDChoice` `createPartySDDChoice()` Create an instance of `PartySDDChoice`
`PaymentIdentification1` `createPaymentIdentification1()` Create an instance of `PaymentIdentification1`
`PaymentInstructionInformationSDD` `createPaymentInstructionInformationSDD()` Create an instance of `PaymentInstructionInformationSDD`
`PaymentTypeInformationSDD` `createPaymentTypeInformationSDD()` Create an instance of `PaymentTypeInformationSDD`
`PersonIdentificationSDD1` `createPersonIdentificationSDD1()` Create an instance of `PersonIdentificationSDD1`
`PersonIdentificationSDD2` `createPersonIdentificationSDD2()` Create an instance of `PersonIdentificationSDD2`
`PostalAddressSDD` `createPostalAddressSDD()` Create an instance of `PostalAddressSDD`
`PurposeSDD` `createPurposeSDD()` Create an instance of `PurposeSDD`
`RemittanceInformationSDDChoice` `createRemittanceInformationSDDChoice()` Create an instance of `RemittanceInformationSDDChoice`
`RestrictedIdentificationSDD` `createRestrictedIdentificationSDD()` Create an instance of `RestrictedIdentificationSDD`
`ServiceLevelSDD` `createServiceLevelSDD()` Create an instance of `ServiceLevelSDD`
`StructuredRemittanceInformationSDD` `createStructuredRemittanceInformationSDD()` Create an instance of `StructuredRemittanceInformationSDD`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_002_01

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentificationSDD

    public AccountIdentificationSDD createAccountIdentificationSDD()

Create an instance of `AccountIdentificationSDD`

#### createAmendmentInformationDetailsSDD

    public AmendmentInformationDetailsSDD createAmendmentInformationDetailsSDD()

Create an instance of `AmendmentInformationDetailsSDD`

#### createBranchAndFinancialInstitutionIdentificationSDD1

    public BranchAndFinancialInstitutionIdentificationSDD1 createBranchAndFinancialInstitutionIdentificationSDD1()

Create an instance of `BranchAndFinancialInstitutionIdentificationSDD1`

#### createBranchAndFinancialInstitutionIdentificationSDD2

    public BranchAndFinancialInstitutionIdentificationSDD2 createBranchAndFinancialInstitutionIdentificationSDD2()

Create an instance of `BranchAndFinancialInstitutionIdentificationSDD2`

#### createCashAccountSDD1

    public CashAccountSDD1 createCashAccountSDD1()

Create an instance of `CashAccountSDD1`

#### createCashAccountSDD2

    public CashAccountSDD2 createCashAccountSDD2()

Create an instance of `CashAccountSDD2`

#### createCreditorReferenceInformationSDD

    public CreditorReferenceInformationSDD createCreditorReferenceInformationSDD()

Create an instance of `CreditorReferenceInformationSDD`

#### createCreditorReferenceTypeSDD

    public CreditorReferenceTypeSDD createCreditorReferenceTypeSDD()

Create an instance of `CreditorReferenceTypeSDD`

#### createCurrencyAndAmountSDD

    public CurrencyAndAmountSDD createCurrencyAndAmountSDD()

Create an instance of `CurrencyAndAmountSDD`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createDirectDebitTransactionSDD

    public DirectDebitTransactionSDD createDirectDebitTransactionSDD()

Create an instance of `DirectDebitTransactionSDD`

#### createDirectDebitTransactionInformationSDD

    public DirectDebitTransactionInformationSDD createDirectDebitTransactionInformationSDD()

Create an instance of `DirectDebitTransactionInformationSDD`

#### createFinancialInstitutionIdentificationSDD1

    public FinancialInstitutionIdentificationSDD1 createFinancialInstitutionIdentificationSDD1()

Create an instance of `FinancialInstitutionIdentificationSDD1`

#### createFinancialInstitutionIdentificationSDD2

    public FinancialInstitutionIdentificationSDD2 createFinancialInstitutionIdentificationSDD2()

Create an instance of `FinancialInstitutionIdentificationSDD2`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericIdentification4

    public GenericIdentification4 createGenericIdentification4()

Create an instance of `GenericIdentification4`

#### createGenericIdentificationSDD

    public GenericIdentificationSDD createGenericIdentificationSDD()

Create an instance of `GenericIdentificationSDD`

#### createGroupHeaderSDD

    public GroupHeaderSDD createGroupHeaderSDD()

Create an instance of `GroupHeaderSDD`

#### createLocalInstrumentSDD

    public LocalInstrumentSDD createLocalInstrumentSDD()

Create an instance of `LocalInstrumentSDD`

#### createMandateRelatedInformationSDD

    public MandateRelatedInformationSDD createMandateRelatedInformationSDD()

Create an instance of `MandateRelatedInformationSDD`

#### createOrganisationIdentificationSDDChoice

    public OrganisationIdentificationSDDChoice createOrganisationIdentificationSDDChoice()

Create an instance of `OrganisationIdentificationSDDChoice`

#### createPartySDD

    public PartySDD createPartySDD()

Create an instance of `PartySDD`

#### createPartySDDChoice

    public PartySDDChoice createPartySDDChoice()

Create an instance of `PartySDDChoice`

#### createPartyIdentificationSDD1

    public PartyIdentificationSDD1 createPartyIdentificationSDD1()

Create an instance of `PartyIdentificationSDD1`

#### createPartyIdentificationSDD2

    public PartyIdentificationSDD2 createPartyIdentificationSDD2()

Create an instance of `PartyIdentificationSDD2`

#### createPartyIdentificationSDD3

    public PartyIdentificationSDD3 createPartyIdentificationSDD3()

Create an instance of `PartyIdentificationSDD3`

#### createPartyIdentificationSDD4

    public PartyIdentificationSDD4 createPartyIdentificationSDD4()

Create an instance of `PartyIdentificationSDD4`

#### createPartyIdentificationSDD5

    public PartyIdentificationSDD5 createPartyIdentificationSDD5()

Create an instance of `PartyIdentificationSDD5`

#### createPaymentIdentification1

    public PaymentIdentification1 createPaymentIdentification1()

Create an instance of `PaymentIdentification1`

#### createPaymentInstructionInformationSDD

    public PaymentInstructionInformationSDD createPaymentInstructionInformationSDD()

Create an instance of `PaymentInstructionInformationSDD`

#### createPaymentTypeInformationSDD

    public PaymentTypeInformationSDD createPaymentTypeInformationSDD()

Create an instance of `PaymentTypeInformationSDD`

#### createPersonIdentificationSDD1

    public PersonIdentificationSDD1 createPersonIdentificationSDD1()

Create an instance of `PersonIdentificationSDD1`

#### createPersonIdentificationSDD2

    public PersonIdentificationSDD2 createPersonIdentificationSDD2()

Create an instance of `PersonIdentificationSDD2`

#### createPostalAddressSDD

    public PostalAddressSDD createPostalAddressSDD()

Create an instance of `PostalAddressSDD`

#### createPurposeSDD

    public PurposeSDD createPurposeSDD()

Create an instance of `PurposeSDD`

#### createRemittanceInformationSDDChoice

    public RemittanceInformationSDDChoice createRemittanceInformationSDDChoice()

Create an instance of `RemittanceInformationSDDChoice`

#### createRestrictedIdentificationSDD

    public RestrictedIdentificationSDD createRestrictedIdentificationSDD()

Create an instance of `RestrictedIdentificationSDD`

#### createServiceLevelSDD

    public ServiceLevelSDD createServiceLevelSDD()

Create an instance of `ServiceLevelSDD`

#### createStructuredRemittanceInformationSDD

    public StructuredRemittanceInformationSDD createStructuredRemittanceInformationSDD()

Create an instance of `StructuredRemittanceInformationSDD`

#### createPain00800101

    public Pain00800101 createPain00800101()

Create an instance of `Pain00800101`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`